module.exports.__fsLocationMap = [[1, 23, 2, 7], [1, 47, 2, 36], [1, 8, 2, 47], [2, 8, 3, 7], [2, 20, 3, 24], [2, 8, 3, 36], [3, 8, 4, 7], [3, 26, 4, 30], [3, 8, 4, 48], [5, 8, 5, 1], [5, 14, 5, 7], [5, 26, 5, 19], [5, 34, 5, 27], [6, 5, 6, 3], [6, 18, 6, 16], [6, 18, 7, 5], [6, 18, 7, 12], [7, 9, 8, 5], [8, 9, 9, 5], [8, 14, 9, 10], [8, 21, 9, 17], [9, 9, 10, 5], [9, 14, 10, 10], [9, 28, 10, 24], [9, 33, 10, 29], [9, 48, 10, 44], [9, 53, 10, 49], [9, 61, 10, 57], [10, 9, 11, 5], [10, 14, 11, 10], [10, 29, 11, 25], [10, 33, 11, 29], [11, 13, 12, 7], [11, 19, 12, 13], [11, 24, 12, 18], [12, 13, 13, 7], [12, 19, 13, 13], [12, 24, 13, 18], [13, 13, 14, 7], [13, 19, 14, 13], [13, 24, 14, 18], [14, 13, 15, 7], [14, 22, 15, 16], [14, 27, 15, 21], [14, 44, 15, 38], [14, 59, 15, 53], [14, 64, 15, 58], [19, 5, 21, 3], [19, 11, 21, 9], [20, 9, 22, 5], [20, 14, 22, 10], [20, 21, 22, 17], [20, 33, 22, 29], [20, 34, 22, 30], [21, 13, 23, 7], [21, 18, 23, 12], [21, 31, 23, 25], [22, 17, 24, 9], [22, 24, 24, 16], [23, 17, 25, 9], [23, 23, 25, 15], [24, 17, 26, 9], [24, 30, 26, 22], [24, 35, 26, 27], [28, 9, 29, 5], [28, 14, 29, 10], [28, 21, 29, 17], [28, 34, 29, 30], [28, 35, 29, 31], [29, 13, 30, 7], [29, 18, 30, 12], [29, 31, 30, 25], [30, 17, 31, 9], [30, 24, 31, 16], [31, 17, 32, 9], [31, 23, 32, 15], [32, 17, 33, 9], [32, 30, 33, 22], [32, 35, 33, 27], [5, 14, 38, 16], [5, 14, 38, 30]];
module.exports.__esModule = true;
const CoreCMPDataService = require('corecmp').DataService;
const Server = require('./Server').Server;
const SocketServer = require('./SocketServer').SocketServer;
class DataService extends CoreCMPDataService {
  constructor (opts) {
    opts = opts || {};
    super();
    this.type = 'rest';
    this.serviceName = opts.serviceName || opts.name || 'stage-data-service';
    this.socketServer = new SocketServer({
      port: opts.socketPort,
      host: opts.socketHost,
      path: opts.socketPath,
      channel: opts.socketChannel || `dataservice-${this.serviceName}`
    });
    // this.model = new Model()
    // this.server = new Server()
  }

  init (name) {
    this.listen('data:set', (data) => {
      this.socketServer.send({
        event: 'data:set',
        data: data,
        serviceName: this.serviceName
      });
    });
    this.listen('list:push', (data) => {
      this.socketServer.send({
        event: 'list:push',
        data: data,
        serviceName: this.serviceName
      });
    });
  }
}
module.exports.DataService = DataService;
